Bug 129395 - gnome icon entry widget browse button chooses a specific icon instead of a directory to browse
gnome icon entry widget browse button chooses a specific icon instead of a di...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomeui (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-07 16:26 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 15:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-08-07 16:26:21 EDT
Description of problem:

When trying "Properties" of some launcher and clicking on an icon
associated with it this opens a window which shows a bunch of
other icons but _only from a directory where the given icon is
coming from_ and try as I might I cannot change that to look
somewhere else.  It is true that I can click on "Browse" button
and that gives me an opportunity to look somewhere else but only
by file names and not by images while the later is far more important
here.  This was definitely not the case in the past where it
was possible to make "Browse Icons" to look in many places.

As a workaround one can pick up some random name from that other
directory and close everything down to "Launcher Properties".
Then one can click on a "new" icon and this will open "Browse Icons"
with images on a new directory.  Such gymnastics is ridiculous
and counterintuitive.

I am not really sure if this is the right component to complain
about but nothing shows up in a process table which would indicate
otherwise and displayed names carry no real information.

Version-Release number of selected component (if applicable):
gnome-panel-2.6.0-11
Comment 1 Mark McLoughlin 2004-10-28 09:09:55 EDT
Yeah, this is a problem with the GnomeIconEntry widget in libgnomeui.

I find the behaviour confusing too - I thought the browse button was
for changing the location displayed in the icon list, but now the file
chooser is set up (with a preview and everything) to choose an icon
rather than a folder.
Comment 2 Ray Strode [halfline] 2005-09-09 15:21:12 EDT
Hi guys,

This seems fixed on my rawhide setup. It got fixed upstream at some point
apparently.

Note You need to log in before you can comment on or make changes to this bug.